%define upstream_name Horde_Browser
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.4
Release:     	%mkrel 2
Summary:    	Horde Browser API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.4.7
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
Requires:	php-pear-Horde_Util >= 2.0.0
Requires:	php-pear-Horde_Util < 3.0.0alpha1
BuildArch:  	noarch

%description
The Horde_Browser class provides an API for getting information about the
current user's browser and its capabilities.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Browser.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Browser.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Browser
fi

%files
%doc docs/Horde_Browser/*
%{peardir}/*
%{xmldir}/Horde_Browser.xml


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 538501
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 spuhler <spuhler> 2.0.4-1.mga4
+ Revision: 489781
- upgrade to vers. 2.0.4

* Tue Jun 04 2013 spuhler <spuhler> 2.0.3-1.mga4
+ Revision: 437301
- upgrade to ver. 2.0.3
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 376416
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 spuhler <spuhler> 1.0.4-1.mga2
+ Revision: 163962
- upgrade tp 1.0.4
- corrected %%{version) to {version}
- changed Provides: php-pear-Horde_Browser to php-pear-Horde_Browser = %%{version)
-Requires:  	php-pear-Exception <= 2.0.0
-Requires:  	php-pear-Util <= 2.0.0
-Conflicts: 	php-pear-Exception = 2.0.0
-Conflicts:  	php-pear-Util = 2.0.0
  +Requires:  	php-pear-Horde_Exception <= 2.0.0
  +Requires:  	php-pear-Horde_Util <= 2.0.0
  +Conflicts: 	php-pear-Horde_Exception = 2.0.0
  +Conflicts:  	php-pear-Horde_Util = 2.0.0
- imported package php-pear-Horde_Browser

